# Projektmanagement
Um ein Projekt erfolgreich durchführen zu können, bedarf es der richtigen Mittel um zusammen planen und arbeiten zu können. Dazu zählen nicht nur Kommunikation sondern auch Datentransfer und Dokumentenverwaltung.

## Kommunikation
- [Slack](https://slack.com/intl/de-de): kostenlos für kleine Gruppen, Chats in Threads unterteilbar und Übersichtlich, Dateiaustausch möglich, private und Gruppennachrichten, mit Email integration, Umfragen möglich, mit App
- [Discord](https://discordapp.com/): kostenloser Sprach- und Textchat, unterteilbar in Gruppen und Untergruppen, Mitgliederverwaltung und Zugriffsrechte einstellbar
- [Email](https://cre.fm/cre104-e-mail): einer der ältesten Kommunikationswege seit Beginn des Internets

## Organisation/Planung
- [Kanboard](https://kanboard.org/): kostenlos, Übersicht über ToDos und Zuständigkeiten einzelner Personen oder Gruppen, Email Integration
- [Gantt](https://www.ganttproject.biz/): kostenlos, OpenSource, Aufgaben und Meilensteinplanung, Unterteilung in Unteraufgaben und Strukturen, Zeiterfassung, Online Zusammenarbeit möglich
- [Asana](https://asana.com/de/pricing): begrenzt kostenlos, ToDos, Kalender, Verantwortlichkeiten
- [Basecamp](https://basecamp.com/): 99$/Monat, enthält alles von Kommunikation, Kalender, Datenaustausch, Mitgliederverwaltung, ToDos, etc
- [Evernote](https://evernote.com/intl/de/compare-plans): begrenzt kostenlos, Sammeln/ordnen/finden von Notizen/Dokumenten/Fotos
- [A-Plan](https://www.braintool.com/): ab 10,90€/Monat, Ressourcenplanung & Zeiterfassung
- [in-STEP](prozessbasiertes Projektmanagement): nicht kostenlos, Dokumenten/Versionsmanagement, prozessbasiertes Projektmanagement
- [Timonize](http://www.timonize.de/): ab 15€/Lizenz, Termine und Aufgaben erfassen/planen/verwalten

## Datenaustausch, - verwaltung
- [Nextcloud](https://nextcloud.com/) OpenSource, Kostenlos, Dateiaustausch/Verwaltung, DestopApp mit Synchronisation, Mitglieder/Zugriffsverwaltung
- [Git](https://git-scm.com/): kostenlos, OpenSource, Datei/Versionskontrolle
- [GitHub](https://github.com/): Entwickler Platform, kostenlos, Zugriffsverwaltung, einfache Zusammenarbeit, Unterstützung/Fragen/Hilfen durch Community, jeder kann Code einsehen, mittlerweile von Microsoft

## Literaturverwaltung
### Vergleiche verschiedener Programme
[Literaturverwaltungsprogramme im Vergleich](http://mediatum.ub.tum.de/1127579?show_id=1316333)

### Literaturverwaltungsprogramme
- [citavi](): Datenbank/Katalog suche in Citavi, Browser-Extension, PDF-Linking, Volltextsuche
- [BibTex](https://www.ctan.org/pkg/bibtex): kostenlos, OpenSource, für LaTex
- [JabRef](https://www.jabref.org/): kostenlos, OpenSource, für LaTex, für hinterlegte Referenzdaten, keine Volltextsuche
- [Zoteo](https://www.zotero.org/): kostenlos, Browser-Extension
- [Mendeley](https://www.mendeley.com/?interaction_required=true): bis 2GB kostenlos in Cloud, 
- [Colwiz](https://wizdom.ai): kostenlos (max 5000 Referenzen/2GB), AI Integration für Referenzsuche, Dublettenkontrolle, leicht instabil, inkl Kalender/Kommunikation/Profil für Teams
- [Endnote](https://endnote.com): kostenlos bis 500000 Datenstätze/2GB Cloud, kein Dokumentenaustausch

## Werkzeuge
### Dokumentation
- LaTex (inkl Modulen)
	- [Overleaf](https://www.overleaf.com/):  online-LaTex-Editor, einfache Zusammenarbeit
	- [TexMaker](http://www.xm1math.net/texmaker/): kostenlos, unicode, auto-completion, integrierte PDF Ansicht
- [Markdown](https://markdown.de/): kostenlos, OpenSource, einfach und überall bedienbar, Datei-Split möglich 
- [Microsoft Word](https://products.office.com/de-DE/word): leicht zu bedienen, stürzt bei größeren Dateien ab

### Programmieren/Microcontrollersteuerung
#### Programme
- [Sublime](https://www.sublimetext.com/): kostenlose unlimitierte Testphase, Code/Markup/Prosa, kann nahezu alle Hochsprachen
- [Arduino](http://arduino.cc): kostenlos, OpenSource, C++ ähnliche Sprache, eigene IDE mit Bootloader
- [Vim](https://www.vim.org/): kostenlos, OpenSource, professioneller Editor
- [Atom](https://atom.io/)
- [Brackets](http://brackets.io/)
- [VisualStudio](https://www.visualstudio.com/): von Microsoft, kann einige Sprachen 

#### Sprachen
- [C++](https://www.iso.org/standard/64029.html)
- [C#](https://docs.microsoft.com/de-de/dotnet/csharp/)
- [Python](https://www.python.org/) z.B. auch Simulation
- [HTML/CSS/JS/PHP/Node](https://www.w3resource.com/index.php)

### CAD
- [Inventor](https://www.autodesk.de/products/inventor/overview): CAD Entwicklung, Zeichnungen
- [OpenSCAD](https://www.openscad.org/): kostenlos, OpenSource, Programmierfähig, 2D+3D
- [LibreCAD]():
- [AutoCAD](http://www.autodesk.de/products/all-autocad/): professionelles 2D-Zeichenprogramm
- [Catia](http://www.3ds.com/de/produkte-und-services/catia/): eines der umfangreichsten 3D-CAD-Systeme, gesamte Produktentwicklungszyklus
- [Creo](http://de.ptc.com/product/creo): (ehem PTc), 2D- und 3D-Konstruktionen, Volumenkonstruktion/Baugruppen- und Zeichnungstools, Freiformflächenmodellierung, Schweiß- und Blechteilkonstruktion
- [Solid Edge](http://www.plm.automation.siemens.com/de_de/products/velocity/solidedge/): Konstruktion, Fertigung, Simulation, Zusammenarbeit und photorealistes Rendering
- [SolidWorks](http://www.solidworks.de/): benutzerfreundlich
- [FreeCAD](http://free-cad.sourceforge.net/): OpenSource, kostenlos, mit Pyhtonschnittstelle
- [HiCAD](https://www.isdgroup.com/de/isd-produkte/cad-hicad.html): 2D und 3D, Produktmanagement
- [Medusa4](http://www.cad-schroer.de/produkte/medusa4.html/): kostenlos

### Simulation
- [Matlab](https://de.mathworks.com/products/matlab.html): ab 35€, Mathe/Grafik/Programmieren

###Local Web Servers
- [Ampps](https://www.ampps.com/)
- [Mamp](https://www.mamp.info/en/)
- [WampServer](http://www.wampserver.com/en/)
- [Apachefriends](https://www.apachefriends.org/index.html)


## Team 
### Projektleitung 
- Übersicht über Ressorts
- Einteilung/Verteilung der Aufgaben
- Kontrolle/Absprache unter Gruppen organisieren

### Verantwortlichkeiten
- MB: Konstruktion der Hardware, CAD Design und Simulation
- EIT: Schaltungen entwerfen, Schnittstellen definieren
- IT: Software, Programmieren, Systemeinrichtung, Systemkommunikation
- Medien: Werbung, Design, Texte verfassen

### Allg Verantwortlichkeit jeder Gruppierung
- Recherchieren/Dokumentieren (inkl. Fotografieren)
- Kostenplan aufstellen/aktuell halten
- Kommunikation mit anderen Gruppen aufrecht erhalten (besonders Schnittstellen)
