# Projectmanagement
In order to carry out a project successfully, you need the right means to plan and work together. This includes not only communication but also data transfer and document management.

## Communikation
- [Slack](https://slack.com/intl/de-de): free for small groups, Chats threadable, clear view, data transfer and email-able, with APP 
- [Discord](https://discordapp.com/): free Speak- and Writechat, thread- and groupable
- [Email](https://cre.fm/cre104-e-mail): one of the oldest ways to communicate through the internet

## Organisation
- [Kanboard](https://kanboard.org/): free of charge, overview of ToDos and responsibilities of individual persons or groups, email integration
- [Gantt](https://www.ganttproject.biz/): free of charge, OpenSource, tasks and milestone planning, subdivision into sub-tasks and structures, time recording, online collaboration possible
- [Asana](https://asana.com/de/pricing): limited free, ToDos, Calendar, Responsibilities
- [Basecamp](https://basecamp.com/): 99$/month, includes everything from communication, calendar, data exchange, member management, ToDos, etc.
- [Evernote](https://evernote.com/intl/de/compare-plans): limited free, collect/order/find notes/documents/photos
- [A-Plan](https://www.braintool.com/): from 10,90€/month, resource planning & time recording
- [in-STEP](prozessbasiertes Projektmanagement): not free of charge, document/version management, process-based project management
- [Timonize](http://www.timonize.de/): from 15€/license, enter/plan/manage appointments and tasks

## Datatransfer
- [Nextcloud](https://nextcloud.com/): OpenSource, Free of charge, File exchange/management, DestopApp with synchronization, Members/Access management
- [Git](https://git-scm.com/): free of charge, OpenSource, file/version control
- [GitHub](https://github.com/): Developer Platform, free, access management, easy collaboration, support/questions/help through community, anyone can view code, now from Microsoft

## literature administration
- [citavi](): Database/Catalog search in Citavi, Browser-Extension, PDF-Linking, Full Text Search
- [BibTex](https://www.ctan.org/pkg/bibtex): free of charge, OpenSource, for LaTex
- [JabRef](https://www.jabref.org/): free of charge, OpenSource, for LaTex, for stored reference data, no full text search
- [Zoteo](https://www.zotero.org/): free of charge, Browser-Extension
- [Mendeley](https://www.mendeley.com/?interaction_required=true): up to 2GB free in Cloud
- [Colwiz](https://wizdom.ai): free of charge (max 5000 references/2GB), AI integration for reference search, duplicate check, slightly unstable, incl. calendar/communication/profile for teams
- [Endnote](https://endnote.com): free of charge up to 500000 data records/2GB Cloud, no document exchange

## Tools
### Documentation
- LaTex (inkl Moduls)
	- [Overleaf](https://www.overleaf.com/): online LaTex editor, easy collaboration
	- [TexMaker](http://www.xm1math.net/texmaker/): free of charge, unicode, auto-completion, integrated PDF view
- [Markdown](https://markdown.de/): free of charge, OpenSource, easy and everywhere to use, file-split possible 
- [Microsoft Word](https://products.office.com/de-DE/word): easy to use, crashes with larger files

### Programming
#### IDEs
- [Sublime](https://www.sublimetext.com/): free of charge, Code/Markup/Prosa, can be used in almost all high-level languages
- [Arduino](http://arduino.cc): free of charge, OpenSource, C++ similar language, own IDE with bootloader
- [VisualStudio](https://www.visualstudio.com/): from Microsoft, standard in many areas

#### Programming Languages
- [C++](https://www.iso.org/standard/64029.html)
- [C#](https://docs.microsoft.com/de-de/dotnet/csharp/)
- [Python](https://www.python.org/)
- [HTML/CSS/JS/PHP/Node](https://www.w3resource.com/index.php): Website and Webdevelopment

### CAD
- [Inventor](https://www.autodesk.de/products/inventor/overview): with fee, CAD development, drawings
- [OpenSCAD](https://www.openscad.org/): free of charge, OpenSource, Programmable, 2D+3D
- [LibreCAD]():
- [AutoCAD](http://www.autodesk.de/products/all-autocad/): professional 2D drawing program
- [Catia](http://www.3ds.com/de/produkte-und-services/catia/): one of the most comprehensive 3D CAD systems, entire product development cycle
- [Creo](http://de.ptc.com/product/creo): (formerly PTc), 2D and 3D designs, volume design/assembly and drawing tools, free-form surface modeling, welding and sheet metal part design
- [Solid Edge](http://www.plm.automation.siemens.com/de_de/products/velocity/solidedge/): Design, manufacturing, simulation, collaboration and photorealistic rendering
- [SolidWorks](http://www.solidworks.de/): user friendly
- [FreeCAD](http://free-cad.sourceforge.net/): OpenSource, free of charge, with Pyhton interface
- [HiCAD](https://www.isdgroup.com/de/isd-produkte/cad-hicad.html): 2D and 3D, product management
- [Medusa4](http://www.cad-schroer.de/produkte/medusa4.html/): free of charge

### Simulation
- [Matlab](https://de.mathworks.com/products/matlab.html):  from 35€, Maths/Graphics/Programming


## Team 
### Project Leader
- Overview of resorts
- Classification/distribution of tasks
- Organize control/agreement among groups

### Responsibilities/Tasks
- MB: Hardware design, CAD design and simulation
- EIT: Design circuits, define interfaces
- IT: Software, Programming, System Setup, System Communication
- Media: Advertising, design, writing texts
